curl --request GET \
--url http://sandbox.mintlify.com/open/v1/order/detail \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"subscriptionOrderNo": "63812942625112175"
}
'{
"code": "0",
"message": "",
"data": {
"subscriptionOrderNo": "63812942625112175",
"merchantSubscriptionOrderNo": "rhys-60",
"subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=63812942625112175",
"planNo": "2033844612305932301",
"planName": "plan031701 fiat currency with trial period no discount",
"planDesc": "Plan Description 01",
"merchantId": "10002",
"productNo": "3",
"productName": "Youku",
"priceNo": "7",
"priceName": "Daily",
"cryptoCurrency": "USDT",
"chain": "BSC",
"userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
"authorizedAmount": "31.95",
"merchantAddress": "0x218990f8276cE741B468CEC5211179BBb55BA99e",
"cryptoAmount": "0.10026792",
"paidCount": 0,
"totalPaidAmount": "0",
"period": "DAY",
"interval": 1,
"totalPayCount": 2,
"trialDays": 3,
"endTime": 0,
"lastPayTime": 0,
"promoAmount": "0",
"promoRate": "0",
"isFirstPeriodDiscounted": false,
"nextPayTime": 0,
"callbackUrl": "https://gate.com",
"orderStatus": "TRIAL",
"createTime": 1773921305887,
"updateTime": 1773893750000
},
"success": true
}Query subscription order details
curl --request GET \
--url http://sandbox.mintlify.com/open/v1/order/detail \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"subscriptionOrderNo": "63812942625112175"
}
'{
"code": "0",
"message": "",
"data": {
"subscriptionOrderNo": "63812942625112175",
"merchantSubscriptionOrderNo": "rhys-60",
"subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=63812942625112175",
"planNo": "2033844612305932301",
"planName": "plan031701 fiat currency with trial period no discount",
"planDesc": "Plan Description 01",
"merchantId": "10002",
"productNo": "3",
"productName": "Youku",
"priceNo": "7",
"priceName": "Daily",
"cryptoCurrency": "USDT",
"chain": "BSC",
"userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
"authorizedAmount": "31.95",
"merchantAddress": "0x218990f8276cE741B468CEC5211179BBb55BA99e",
"cryptoAmount": "0.10026792",
"paidCount": 0,
"totalPaidAmount": "0",
"period": "DAY",
"interval": 1,
"totalPayCount": 2,
"trialDays": 3,
"endTime": 0,
"lastPayTime": 0,
"promoAmount": "0",
"promoRate": "0",
"isFirstPeriodDiscounted": false,
"nextPayTime": 0,
"callbackUrl": "https://gate.com",
"orderStatus": "TRIAL",
"createTime": 1773921305887,
"updateTime": 1773893750000
},
"success": true
}Merchant client ID, obtained from GatePay platform application
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256 signature, used to verify request legitimacy
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
Timestamp (milliseconds), time difference with server cannot exceed 5 minutes
"1672905655498"
Random number, used to prevent replay attacks
"9578"
Query subscription order details request parameters